import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

import org.apache.commons.lang.StringUtils;

import cn.hutool.core.collection.ListUtil;
import cn.hutool.core.util.ReUtil;
import cn.hutool.json.JSONUtil;

public class ZzbdsTest {

	public static void main(String[] args) {
		
		String text = "	CREATE TAG `tag_1304958069` ( `field_369043812` string NULL COMMENT \"名称\" ) ttl_duration = 0, ttl_col = \"\", comment = \"组织\"";
		
		String regex="(comment = \")(.+)(\")";

		String a = getMatchedString(regex, text);
		
		
		List<String> resultFindAll = ReUtil.findAll("(comment = \")(.+)(\")", 
				text, 2, new ArrayList<String>());
		
		
		List<List<Object>> lists = ListUtil.split(Arrays.asList(1, 2, 3, 4),4);
		
		System.out.println(JSONUtil.toJsonStr(lists));
		
		System.out.println(10/20);
	}
	
	private static String getMatchedString(String regex,String text){
		Pattern pattern=Pattern.compile(regex,Pattern.CASE_INSENSITIVE);
		Matcher matcher=pattern.matcher(text);
		while(matcher.find()){
			return matcher.group(2);
		}
		return null;
	}
}
